Package org.apache.sling.feature.diff

## Class DiffRequest

- java.lang.Object
- - org.apache.sling.feature.diff.DiffRequest

    public final class DiffRequest
    extends Object

### Constructor Summary

Constructors
`DiffRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`DiffRequest` `addExcludeComparator​(String excludeComparator)`
`DiffRequest` `addIncludeComparator​(String includeComparator)`
`org.apache.sling.feature.Feature` `getCurrent()`
`Set<String>` `getExcludeComparators()`
`Set<String>` `getIncludeComparators()`
`org.apache.sling.feature.Feature` `getPrevious()`
`DiffRequest` `setCurrent​(org.apache.sling.feature.Feature current)`
`DiffRequest` `setPrevious​(org.apache.sling.feature.Feature previous)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DiffRequest

    public DiffRequest()

### Method Detail

#### getPrevious

    public org.apache.sling.feature.Feature getPrevious()

#### setPrevious

    public DiffRequest setPrevious​(org.apache.sling.feature.Feature previous)

#### getCurrent

    public org.apache.sling.feature.Feature getCurrent()

#### setCurrent

    public DiffRequest setCurrent​(org.apache.sling.feature.Feature current)

#### addIncludeComparator

    public DiffRequest addIncludeComparator​(String includeComparator)

#### getIncludeComparators

    public Set<String> getIncludeComparators()

#### addExcludeComparator

    public DiffRequest addExcludeComparator​(String excludeComparator)

#### getExcludeComparators

    public Set<String> getExcludeComparators()